← Iitheyibhile
Cima

Scotland

Caledonia North Region League Division 2

#IqelaPWDLPDBPPtsImo
1Aberdeenshire RFC7700+333735WWWWW
2Shetland RFC6402+76420WWLLW
3Highland 3rd XV5302+3517WLWLW
4North Police Scotland6303+31416LLWWL
5Garioch RFC5302+29214LLWWW
6Banff RFC5203+6027LWLWL
7Stornoway RFC7106-12730LLWLL
8Aberdeen Grammar Rugby 2nd XV5005-40510LLLLL

Umthombo: Scottish Rugby · kujongiwe Okt 18, 16:20 · Imo: iziphumo ezintlanu zokugqibela esinazo, ezintsha zisekunene.

Imidlalo neziphumo →

Itheyibhile nganye yileyo ipapashwe yiligi ngokwayo, kuquka amanqaku ebhonasi, ukuthabathwa kwamanqaku nemithetho yokulingana. I-BP iboniswa apho iligi iyipapasha khona; kwezinye iindawo sele ikwi-Pts.